## python-graphene-federation 3.2.0

=== Makefile ===
# -------------------------
# Integration testing
# -------------------------

integration-build: ## Build environment for integration tests
	cd integration_tests && docker-compose build
.PHONY: integration-build

integration-tests: ## Run integration tests
	cd integration_tests && docker-compose down && docker-compose run --rm tests
.PHONY: integration-test

# -------------------------
# Development and unit testing
# -------------------------

dev-setup: ## Install development dependencies
	docker-compose up --build -d
.PHONY: dev-setup

tests: ## Run unit tests
	docker-compose run graphene_federation py.test tests --cov=graphene_federation -vv
.PHONY: tests

check-style: ## Run linting
	docker-compose run graphene_federation black graphene_federation --check
.PHONY: check-style

check-types: ## Run typing check
	docker-compose run graphene_federation mypy graphene_federation
.PHONY: check-types

# -------------------------
# Help
# -------------------------

help: ## Show help
	@grep -E '^[0-9a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-30s\033[0m %s\n", $$1, $$2}'
.PHONY: help

.DEFAULT_GOAL := help

.EXPORT_ALL_VARIABLES:
DOCKER_BUILDKIT = 1
COMPOSE_DOCKER_CLI_BUILD = 1

=== integration_tests/service_a/requirements.txt ===
graphene>=3.1
MarkupSafe==2.0.1
flask==1.1.4
graphql-server[flask]==3.0.0b5

=== integration_tests/tests/requirements.txt ===
requests==2.28.0
pytest==7.1.2

=== debian/changelog ===
python-graphene-federation (3.2.0-2) unstable; urgency=medium

  * Source only upload to unstable

 -- Ananthu C V <weepingclown@disroot.org>  Mon, 01 Jul 2024 01:29:40 +0530

python-graphene-federation (3.2.0-1) unstable; urgency=low

  * Initial release (Closes: #1073797)

 -- Ananthu C V <weepingclown@disroot.org>  Fri, 21 Jun 2024 16:27:09 +0000

=== debian/control ===
Source: python-graphene-federation
Section: python
Priority: optional
Maintainer: Ananthu C V <weepingclown@disroot.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-graphene,
               python3-graphene-directives,
               python3-pytest <!nocheck>,
               python3-setuptools
Standards-Version: 4.7.0
Testsuite: autopkgtest-pkg-pybuild
Homepage: https://github.com/graphql-python/graphene-federation
Vcs-Git: https://salsa.debian.org/python-team/packages/python-graphene-federation.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-graphene-federation
Rules-Requires-Root: no

Package: python3-graphene-federation
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: federation implementation for graphene
 Federation support for Graphene, following the Apollo federation
 specifications.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=graphene-federation
%:
	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4
opts="pgpmode=none, filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/graphql-python/graphene-federation/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
